Subject: Re: [devuan-dev] bug#490: gpsd: Current version of gpsd does not install /etc/init.d/gpsd and fails to start

From: Boian Bonev <[email-masked]>
Date: Fri, 07 Aug 2020 23:57:57 +0300

Hi Mark,

On Fri, 2020-08-07 at 17:21 +0100, Mark Hindley wrote:

...

> I have just built your new branch suites/unstable and it builds for
> me without
> 
> any other problems than the test failure (ignored) that we have both
> seen. I
> assume you have checked functionality.

Not all of it, because I do the development on an amd64 vm and there I
can only test install and to see that the daemon starts, but not that
it actually works. I have an aarch64 RPI GPS NTP server and will test
it there (it is a production one, but I have means to bypass in case it
breaks).

I tried to do a cross build but that didn't work... And the native one
takes too much time.

> Are you able to fix #314?

Checked it just now - that one does not apply to gpsd 3.20; previous
gpsd versions generated header file with a fix for roll overs during
build time (based on current time), so gpsd 3.16 built back in time had
the problem while newly built one didn't have it. Upstream reworked the
whole thing long ago. Unfortunatelly I can't verify it, just checked
the source of gpsd and https://gitlab.com/gpsd/gpsd/-/issues/3 and it
seems fixed.

> A couple of comments about the packaging:-
> 
>  - Please close #490 in the 'Fork for Devuan' changelog entry.

sure, also closed 314

I am wondering how bugs are distinguished, is there a tag like LP: that
closes Devuan bugs? I did a test build of iwd and lintian was
complaining about improbable-bug-number-in-closes.

>  - d/gbp.cong: debian-tag would be better as devuan/%(version)s.

ok

>  - d/control: please base the Vcs-* URLs on 
> https://git.devuan.org/devuan/gpsd
>    so they will be correct once the package is in the definitive
> location.

ok

>  - d/control: as you have renamed gpsd-dbg to gpds-dbg-tools (which
> seems
>    sensible) you will need conflicts, provides and replaces for gpsd-
> dbg
>    otherwise upgrades will fail due to a file conflict.

I have planned one more change for this part - to install the
executables under /usr/libexec/gpsd/debug; then there will be no
conflict. But on second thought, to avoid possible confusion, it is a
good idea to set them - when main package is upgraded it will be a good
idea to also upgrade this part and not leave the old gpsd-dbg installed
with new gpsd-dbg-tools. Also I see that there is a transition for
gpsd-dbg to gpsd-dbgsym which I believe is long ago finished.

> Once those are fixed I can copy the repo to 
> https://git.devuan.org/devuan/gpsd
> and make you maintainer. Then you will be able to trigger the
> production build.

I have no idea how that part works. Is there a way to test it first?

I will update the bug after I think that the package is ready.

With best regards,
b.